r3084 - in jhalfs/branches/experimental: . common common/blfs-tool-deps

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Mon Aug 28 14:41:53 PDT 2006


Author: manuel
Date: 2006-08-28 15:41:49 -0600 (Mon, 28 Aug 2006)
New Revision: 3084

Added:
   jhalfs/branches/experimental/common/blfs-tool-deps/901-libxml2
   jhalfs/branches/experimental/common/blfs-tool-deps/902-libxslt
   jhalfs/branches/experimental/common/blfs-tool-deps/903-docbook-xsl
   jhalfs/branches/experimental/common/blfs-tool-deps/904-gpm
   jhalfs/branches/experimental/common/blfs-tool-deps/905-links
   jhalfs/branches/experimental/common/blfs-tool-deps/906-sudo
   jhalfs/branches/experimental/common/blfs-tool-deps/907-wget
   jhalfs/branches/experimental/common/blfs-tool-deps/908-subversion
Modified:
   jhalfs/branches/experimental/common/common-functions
   jhalfs/branches/experimental/jhalfs
Log:
Added blfs-tool dependencies build scripts.

Added: jhalfs/branches/experimental/common/blfs-tool-deps/901-libxml2
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/901-libxml2	                        (rev 0)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/901-libxml2	2006-08-28 21:41:49 UTC (rev 3084)
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+./configure --prefix=/usr
+make
+make install
+
+exit
\ No newline at end of file


Property changes on: jhalfs/branches/experimental/common/blfs-tool-deps/901-libxml2
___________________________________________________________________
Name: svn:keywords
   + Author Date Revision Id

Added: jhalfs/branches/experimental/common/blfs-tool-deps/902-libxslt
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/902-libxslt	                        (rev 0)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/902-libxslt	2006-08-28 21:41:49 UTC (rev 3084)
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+./configure --prefix=/usr
+make
+make install
+
+exit
\ No newline at end of file


Property changes on: jhalfs/branches/experimental/common/blfs-tool-deps/902-libxslt
___________________________________________________________________
Name: svn:keywords
   + Author Date Revision Id

Added: jhalfs/branches/experimental/common/blfs-tool-deps/903-docbook-xsl
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/903-docbook-xsl	                        (rev 0)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/903-docbook-xsl	2006-08-28 21:41:49 UTC (rev 3084)
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+install -v -m755 -d /usr/share/xml/docbook/xsl-stylesheets-1.69.1
+cp -v -R VERSION common eclipse extensions fo html \
+         htmlhelp images javahelp lib manpages params \
+         profiling slides template website xhtml \
+    /usr/share/xml/docbook/xsl-stylesheets-1.69.1
+
+if [ ! -d /etc/xml ]; then install -v -m755 -d /etc/xml; fi
+if [ ! -f /etc/xml/catalog ]; then
+    xmlcatalog --noout --create /etc/xml/catalog
+fi
+
+xmlcatalog --noout --add "rewriteSystem" \
+           "http://docbook.sourceforge.net/release/xsl/1.69.1" \
+           "/usr/share/xml/docbook/xsl-stylesheets-1.69.1" \
+    /etc/xml/catalog
+
+xmlcatalog --noout --add "rewriteURI" \
+           "http://docbook.sourceforge.net/release/xsl/1.69.1" \
+           "/usr/share/xml/docbook/xsl-stylesheets-1.69.1" \
+    /etc/xml/catalog
+
+xmlcatalog --noout --add "rewriteSystem" \
+           "http://docbook.sourceforge.net/release/xsl/current" \
+           "/usr/share/xml/docbook/xsl-stylesheets-1.69.1" \
+    /etc/xml/catalog
+
+xmlcatalog --noout --add "rewriteURI" \
+           "http://docbook.sourceforge.net/release/xsl/current" \
+           "/usr/share/xml/docbook/xsl-stylesheets-1.69.1" \
+    /etc/xml/catalog
+
+exit
\ No newline at end of file


Property changes on: jhalfs/branches/experimental/common/blfs-tool-deps/903-docbook-xsl
___________________________________________________________________
Name: svn:keywords
   + Author Date Revision Id

Added: jhalfs/branches/experimental/common/blfs-tool-deps/904-gpm
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/904-gpm	                        (rev 0)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/904-gpm	2006-08-28 21:41:49 UTC (rev 3084)
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+patch -Np1 -i ../gpm-1.20.1-segfault-1.patch
+patch -Np1 -i ../gpm-1.20.1-silent-1.patch
+./configure --prefix=/usr --sysconfdir=/etc
+LDFLAGS="$LDFLAGS -lm" make
+make install
+cp -v conf/gpm-root.conf /etc
+ldconfig
+
+exit
\ No newline at end of file


Property changes on: jhalfs/branches/experimental/common/blfs-tool-deps/904-gpm
___________________________________________________________________
Name: svn:keywords
   + Author Date Revision Id

Added: jhalfs/branches/experimental/common/blfs-tool-deps/905-links
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/905-links	                        (rev 0)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/905-links	2006-08-28 21:41:49 UTC (rev 3084)
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+./configure --prefix=/usr
+make CFLAGS="-O2 -Wno-sign-compare -Wno-pointer-sign"
+make install
+
+exit
\ No newline at end of file


Property changes on: jhalfs/branches/experimental/common/blfs-tool-deps/905-links
___________________________________________________________________
Name: svn:keywords
   + Author Date Revision Id

Added: jhalfs/branches/experimental/common/blfs-tool-deps/906-sudo
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/906-sudo	                        (rev 0)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/906-sudo	2006-08-28 21:41:49 UTC (rev 3084)
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+patch -Np1 -i ../sudo-1.6.8p12-envvar_fix-1.patch
+./configure --prefix=/usr --libexecdir=/usr/lib \
+    --enable-noargs-shell --with-ignore-dot --with-all-insults \
+    --enable-shell-sets-home
+make
+make install
+
+exit
\ No newline at end of file


Property changes on: jhalfs/branches/experimental/common/blfs-tool-deps/906-sudo
___________________________________________________________________
Name: svn:keywords
   + Author Date Revision Id

Added: jhalfs/branches/experimental/common/blfs-tool-deps/907-wget
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/907-wget	                        (rev 0)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/907-wget	2006-08-28 21:41:49 UTC (rev 3084)
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+./configure --prefix=/usr --sysconfdir=/etc
+make
+make install
+
+exit
\ No newline at end of file


Property changes on: jhalfs/branches/experimental/common/blfs-tool-deps/907-wget
___________________________________________________________________
Name: svn:keywords
   + Author Date Revision Id

Added: jhalfs/branches/experimental/common/blfs-tool-deps/908-subversion
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/908-subversion	                        (rev 0)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/908-subversion	2006-08-28 21:41:49 UTC (rev 3084)
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+./configure --prefix=/usr \
+            --without-berkeley-db \
+            --with-installbuilddir=/usr/lib/apr-0
+make
+make install
+rm doc/{Makefile,doxygen.conf}
+find doc -type d -exec chmod 755 {} \;
+find doc -type f -exec chmod 644 {} \;
+install -v -m755 -d /usr/share/doc/subversion-1.3.1
+cp -v -R doc/* /usr/share/doc/subversion-1.3.1
+
+exit
\ No newline at end of file


Property changes on: jhalfs/branches/experimental/common/blfs-tool-deps/908-subversion
___________________________________________________________________
Name: svn:keywords
   + Author Date Revision Id

Modified: jhalfs/branches/experimental/common/common-functions
===================================================================
--- jhalfs/branches/experimental/common/common-functions	2006-08-28 20:19:23 UTC (rev 3083)
+++ jhalfs/branches/experimental/common/common-functions	2006-08-28 21:41:49 UTC (rev 3084)
@@ -577,6 +577,8 @@
     *) exit 1 ;;
   esac
 
+  [[ "${BLFS_TOOL}" = "y" ]] && copy_blfs_deps_scripts
+
   echo " ...OK"
 
   # Make the scripts executable.
@@ -824,6 +826,7 @@
 
   if [[ "${DEP_SUDO}" = "y" ]] ; then
     echo "${SUDO_URL} ${BLFS_SERVER}sudo/${SUDO_PKG} ${SUDO_MD5}" >> urls.lst
+    echo "${SUDO_PATCH_URL} ${BLFS_SERVER}sudo/${SUDO_PATCH} ${SUDO_PATCH_MD5}" >> urls.lst
   fi
 
   if [[ "${DEP_WGET}" = "y" ]] ; then
@@ -836,6 +839,50 @@
 
   if [[ "${DEP_GPM}" = "y" ]] ; then
     echo "${GPM_URL} ${BLFS_SERVER}gpm/${GPM_PKG} ${GPM_MD5}" >> urls.lst
+    echo "${GPM_PATCH_1_URL} ${BLFS_SERVER}gpm/${GPM_PATCH_1} ${GPM_PATCH_1_MD5}" >> urls.lst
+    echo "${GPM_PATCH_2_URL} ${BLFS_SERVER}gpm/${GPM_PATCH_2} ${GPM_PATCH_2_MD5}" >> urls.lst
   fi
 
 }
+
+#----------------------------# Maybe there is a better way to do this, but this
+copy_blfs_deps_scripts() {   # method avoid to place the test on all
+#----------------------------# $PROGNAME/master.sh scripts.
+
+  mkdir -p ${PROGNAME}-commands/blfs-tool-deps
+
+  if [[ "${DEP_LIBXML}" = "y" ]] ; then
+    mv blfs-tool-deps/901-libxml2 ${PROGNAME}-commands/blfs-tool-deps
+  fi
+
+  if [[ "${DEP_LIBXSLT}" = "y" ]] ; then
+    mv blfs-tool-deps/902-libxslt ${PROGNAME}-commands/blfs-tool-deps
+  fi
+
+  if [[ "${DEP_DBXSL}" = "y" ]] ; then
+    mv blfs-tool-deps/903-docbook-xsl ${PROGNAME}-commands/blfs-tool-deps
+  fi
+
+  if [[ "${DEP_LINKS}" = "y" ]] ; then
+    mv blfs-tool-deps/905-links ${PROGNAME}-commands/blfs-tool-deps
+  fi
+
+  if [[ "${DEP_SUDO}" = "y" ]] ; then
+    mv blfs-tool-deps/906-sudo ${PROGNAME}-commands/blfs-tool-deps
+  fi
+
+  if [[ "${DEP_WGET}" = "y" ]] ; then
+    mv blfs-tool-deps/907-wget ${PROGNAME}-commands/blfs-tool-deps
+  fi
+
+  if [[ "${DEP_SVN}" = "y" ]] ; then
+    mv blfs-tool-deps/908-subversion ${PROGNAME}-commands/blfs-tool-deps
+  fi
+
+  if [[ "${DEP_GPM}" = "y" ]] ; then
+    mv blfs-tool-deps/904-gpm ${PROGNAME}-commands/blfs-tool-deps
+  fi
+
+  rm -rf blfs-tool-deps
+
+}
\ No newline at end of file

Modified: jhalfs/branches/experimental/jhalfs
===================================================================
--- jhalfs/branches/experimental/jhalfs	2006-08-28 20:19:23 UTC (rev 3083)
+++ jhalfs/branches/experimental/jhalfs	2006-08-28 21:41:49 UTC (rev 3084)
@@ -181,6 +181,10 @@
   SUDO_PKG="sudo-1.6.8p12.tar.gz"
   SUDO_URL="http://www.courtesan.com/sudo/dist/${SUDO_PKG}"
   SUDO_MD5="b29893c06192df6230dd5f340f3badf5"
+    # sudo envar fix patch
+  SUDO_PATCH="sudo-1.6.8p12-envvar_fix-1.patch"
+  SUDO_PATCH_URL="http://www.linuxfromscratch.org/patches/blfs/svn/${SUDO_PATCH}"
+  SUDO_PATCH_MD5="454925aedfe054dff8fe0d03b209f986"
     # wget
   WGET_PKG="wget-1.10.2.tar.gz"
   WGET_URL="ftp://ftp.gnu.org/gnu/wget/${WGET_PKG}"
@@ -193,6 +197,14 @@
   GPM_PKG="gpm-1.20.1.tar.bz2"
   GPM_URL="ftp://arcana.linux.it/pub/gpm/${GPM_PKG}"
   GPM_MD5="2c63e827d755527950d9d13fe3d87692"
+    # GPM segfaul patch
+  GPM_PATCH_1="gpm-1.20.1-segfault-1.patch"
+  GPM_PATCH_1_URL="http://www.linuxfromscratch.org/patches/blfs/svn/${GPM_PATCH_1}"
+  GPM_PATCH_1_MD5="8c88f92990ba7613014fcd1db14ca7ac"
+    # GPM silent patch
+  GPM_PATCH_2="gpm-1.20.1-silent-1.patch"
+  GPM_PATCH_2_URL="http://www.linuxfromscratch.org/patches/blfs/svn/${GPM_PATCH_2}"
+  GPM_PATCH_2_MD5="bf6cbefe20c6f15b587f19ebc1c8a37a"
 fi
 
 # Set true internal variables
@@ -346,6 +358,8 @@
   # Set some harcoded envars to their proper values
   sed -i 's,blfs-xml,'$BLFS_XML',' ${BUILDDIR}${BLFS_ROOT}/{update_book.sh,libs/book.xsl}
   sed -i 's,tracking-dir,'$TRACKING_DIR',' ${BUILDDIR}${BLFS_ROOT}/{update_book.sh,gen-makefile.sh}
+  # Copy the dependencies build scripts
+  cp -r $COMMON_DIR/blfs-tool-deps $JHALFSDIR/
 fi
 
 get_book




More information about the alfs-log mailing list